Std Placement/ko: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(One intermediate revision by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav
{{Docnav
|[[Std_SendToPythonConsole/ko|파이썬 콘솔로 보내기]]
|[[Std_SendToPythonConsole/ko|파이썬 콘솔로 보내기]]
Line 9: Line 10:
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 20: Line 22:
</div>
</div>


<span id="Description"></span>
==설명==
==설명==


Line 27: Line 30:
{{Caption|배치 작업 패널}}
{{Caption|배치 작업 패널}}


<span id="Usage"></span>
==용법==
==용법==


Line 39: Line 43:
이 대화 상자는 [[Property_editor/ko|속성 편집기]]의 {{PropertyData|Placement}} 속성을 클릭했을 때 바로 옆에 나오는 생략 부호 버튼 {{Button|...}}을 눌러 열 수도 있습니다.
이 대화 상자는 [[Property_editor/ko|속성 편집기]]의 {{PropertyData|Placement}} 속성을 클릭했을 때 바로 옆에 나오는 생략 부호 버튼 {{Button|...}}을 눌러 열 수도 있습니다.


<span id="Notes"></span>
==비고==
==비고==


Line 45: Line 50:
</div>
</div>


<span id="Scripting"></span>
==스크립트==
==스크립트==


Line 75: Line 81:


개체의 기준점을 이동한 다음 X 축을 중심으로 개체를 45도 회전합니다.
개체의 기준점을 이동한 다음 X 축을 중심으로 개체를 45도 회전합니다.

The math module supplies a method {{incode|radians()}} to easily convert degrees to radians and has to be imported at first.

{{Code|code=
{{Code|code=
import math
import math
Line 91: Line 100:




<div class="mw-translate-fuzzy">
{{Docnav
{{Docnav
|[[Std_SendToPythonConsole/ko|파이썬 콘솔로 보내기]]
|[[Std_SendToPythonConsole/ko|파이썬 콘솔로 보내기]]
Line 99: Line 109:
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}
</div>


{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 10:01, 20 September 2023

표준 배치

메뉴 위치
편집 → 위치 설정...
작업대
모두
기본 단축키
없음
도입 버전
-
참조
표준 정렬, 배치 작업, 배치

설명

표준 배치(Std Placement) 명령은 선택한 개체의 배치 작업 패널을 표시합니다.

배치 작업 패널

용법

  1. 속성 편집기데이터Placement 속성이 있는 단일 개체를 선택합니다.
  2. 메뉴에서 편집 → 배치... 옵션을 선택합니다.
  3. 이동 과 회전 파라미터를 변경합니다.
  4. 다음 중 하나를 수행합니다:
    • 변경 사항을 적용하고 작업 패널을 닫으려면 확인 버튼을 누르십시오.
    • 변경 사항을 적용하되 추가 변경을 위해 작업 패널을 열어두려면 적용 버튼을 누르십시오.
  5. 작업을 중지하려면 Esc 키나 취소 버튼을 누르십시오. 적용하지 않은 변경 사항은 모두 실행 취소됩니다.

이 대화 상자는 속성 편집기데이터Placement 속성을 클릭했을 때 바로 옆에 나오는 생략 부호 버튼 ...을 눌러 열 수도 있습니다.

비고

스크립트

참조: FreeCAD 스크립트 기초.

파이썬 스크립트 자습서를 참조하십시오.

배치는 내부적으로 매트릭스로 정의됩니다. 대부분의 경우 Base 점(벡터)과 Rotation 값 이라는 두 가지 구성 요소를 사용하여 표현하면 더 간단합니다. Rotation 자체는 다른 표현법이 있습니다. "사원수(quaternion)" (xi + yj + zk + w)로 완전히 정의할 수 있지만 회전 Axis (유닛 벡터) 및 회전 Angle (라디안)으로 기술할 수도 있습니다.

import FreeCAD as App

doc = App.newDocument()
obj = doc.addObject("Part::Cylinder", "Cylinder")

print(obj.Placement)
# Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,0,0)]
print(obj.Placement.Base)
# Vector (0.0, 0.0, 0.0)
print(obj.Placement.Rotation)
# Rotation (0.0, 0.0, 0.0, 1.0)

print(obj.Placement.Rotation.Angle)
# 0.0
print(obj.Placement.Rotation.Axis)
# Vector (0.0, 0.0, 1.0)
print(obj.Placement.Rotation.Q)
# (0.0, 0.0, 0.0, 1.0)

개체의 기준점을 이동한 다음 X 축을 중심으로 개체를 45도 회전합니다.

The math module supplies a method radians() to easily convert degrees to radians and has to be imported at first.

import math

obj.Placement.Base = App.Vector(5, 3, 1)
obj.Placement.Rotation.Axis = App.Vector(1, 0, 0)
obj.Placement.Rotation.Angle = math.radians(45)

print(obj.Placement)
# Placement [Pos=(5,3,1), Yaw-Pitch-Roll=(0,0,45)]
print(obj.Placement.Rotation.Q)
# (0.3826834323650898, 0.0, 0.0, 0.9238795325112867)
print(obj.Placement.Matrix)
# Matrix ((1,0,0,5),(0,0.707107,-0.707107,3),(0,0.707107,0.707107,1),(0,0,0,1))